document.getElementById('logo-upload').addEventListener('change', function(event) {
  const file = event.target.files[0];
  if (file) {
    const reader = new FileReader();
    reader.onload = function(e) {
      const img = document.getElementById('logo-image');
      img.src = e.target.result;
      document.getElementById('image-container').classList.remove('hidden');
      analyzeLogo(img);
    };
    reader.readAsDataURL(file);
  }
});

function analyzeLogo(img) {
  img.onload = function() {
    const width = img.naturalWidth;
    const height = img.naturalHeight;
    const ratio = width / height;
    const goldenRatio = 1.618;
    const tolerance = 0.05;

    const results = document.getElementById('results');
    results.innerHTML = `
      <p>Width: ${width}px</p>
      <p>Height: ${height}px</p>
      <p>Aspect Ratio: ${ratio.toFixed(3)}</p>
      <p>Golden Ratio: ${goldenRatio}</p>
      <p>${Math.abs(ratio - goldenRatio) <= tolerance ? '✅ Adheres to the golden ratio' : '❌ Does not adhere to the golden ratio'}</p>
    `;

    document.getElementById('analysis-section').classList.remove('hidden');
  };
}